#
# spec file for package lcd4linux (Version 0.10.1RC2)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           lcd4linux
Summary:        Displays System Information on an LCD
Version:        0.11.0
Release:        2.1
Url:            https://ssl.bulix.org/projects/lcd4linux/
License:        GPL v2 or later
Group:          System/Monitoring
AutoReqProv:    on
PreReq:         %insserv_prereq
BuildRequires:  freetype2-devel gd-devel libjpeg-devel libpng-devel mysql-devel ncurses-devel update-desktop-files xorg-x11-devel
%ifarch x86_64 %ix86
BuildRequires:  libserdisp-devel
%endif
%if 0%{?suse_version} > 1020
BuildRequires:  libusb-devel
%else
BuildRequires:  libusb
%endif
BuildRequires:  python-devel
Source0:        %{name}-%{version}-SVN.tar.bz2
Source1:        %{name}-init
Source2:        %{name}-README.SUSE
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64 ia64 

%description
LCD4Linux is a small program that grabs information from the kernel and
some subsystems and displays it on an external liquid crystal display.



Authors:
--------
    Michael Reinelt <reinelt@eunet.at>
    Herbert Rosmanith <herp@wildsau.idv.uni-linz.ac.at>
    Leopold Tötsch <lt@toetsch.at>
    Axel Ehnert <axel@ehnert.net>
    Andrew Ip <aip@cwlinux.com>
    Robin Adams, Adams IT Services <info@usblcd.de>
    Xavier Vello <xavier66@free.fr>
    Martin Hejl <martin@hejl.de>
    Jesse Brook Kovach <jkovach@wam.umd.edu>
    Nico Wallmeier <nico.wallmeier@post.rwth-aachen.de>
    Luis F. Correia <luis.f.correia@seg-social.pt>
    Patrick Schemitz <schemitz@ekp.physik.uni-karlsruhe.de>
    Andy Baxter <andy@earthsong.free-online.co.uk>
    Thomas Siedentopf <thom-s@gmx.net>
    Markus Keil <markus_keil@t-online.de>
    Samuel Mimram <samuel.mimram@ens-lyon.fr>
    Luk Claes <infblue@users.sourceforge.net>

%prep
%setup -q -n %{name}-%{version}-SVN

%build
# workaround for missing config.rpath
if [ -f /usr/share/gettext/config.rpath -a ! -f config.rpath ] ; then
    %{__cp} -v /usr/share/gettext/config.rpath .
fi
# end workaround
%ifarch x86_64 %ix86
%configure 
%else
%configure --with-python --with-drivers=all,!T6963,!RouterBoard
%endif
%{__make} %{?jobs:-j%jobs}

%install
%{__install} -d -m 755 %buildroot/%_sysconfdir/init.d
%{__install} -d -m 755 %buildroot/%_sbindir
%makeinstall
%{__install} -m 0600 lcd4linux.conf.sample %buildroot/%_sysconfdir/lcd4linux.conf
%{__install} -m 0755 %SOURCE1 %buildroot/etc/init.d/lcd4linux
%{__ln_s} /etc/init.d/lcd4linux %buildroot/usr/sbin/rclcd4linux
# lcd4linux desktop part starts here
%{__install} -d -m 755 %buildroot/%{_datadir}/pixmaps
%{__install} -d -m 755 %buildroot/%{_datadir}/applications
sed -e "s@#Display 'XWindow'@Display 'XWindow'@" \
-e "s@Display 'picoLCD'@#Display 'picoLCD'@" \
-e "s@Layout 'L20x2'@#Layout 'L20x2'@" \
-e "s@#Layout 'Test2'@Layout 'Test2'@" lcd4linux.conf.sample > %buildroot/%_sysconfdir/lcd4X11.conf
%{__install} -m 0600 lcd4kde.conf %buildroot/%_sysconfdir/lcd4kde.conf
%{__install} -m 0644 lcd4linux.xpm %buildroot/%{_datadir}/pixmaps/lcd4linux.xpm
%{__install} -m 644 %SOURCE2 README.SUSE
cat > %buildroot/%{_datadir}/applications/lcd4linux.desktop << EOF
[Desktop Entry]
Name=LCD4Linux
GenericName=LCD4Linux
Type=Application
Exec=lcd4linux -f /etc/lcd4X11.conf
Icon=lcd4linux.xpm
Terminal=0
EOF
%suse_update_desktop_file lcd4linux System Monitor
# lcd4linux desktop part ends here

%postun
%insserv_cleanup lcd4linux

%preun
%stop_on_removal lcd4linux

%clean
# rm -rf %buildroot

%files
%defattr(-,root,root)
%doc AUTHORS COPYING CREDITS ChangeLog NEWS README* TODO
%_sysconfdir/init.d/lcd4linux
%{_sbindir}/*
%{_bindir}/*
%config(noreplace) %_sysconfdir/lcd4linux.conf
%config(noreplace,missingok) %_sysconfdir/lcd4X11.conf
%config(noreplace,missingok) %_sysconfdir/lcd4kde.conf
%{_datadir}/applications/lcd4linux.desktop
%{_datadir}/pixmaps/lcd4linux.xpm

%changelog
* Tue Mar 10 2009 lars@linux-schulserver.de
- update to 0.11.0:
  + new drivers: CwLinux CW12832, PHAnderson serial-to-HD44780
    adapter boards, ULA200, 4D Systems serial displays, IRLCD,
    picoLCD Graphic, st2205, Pertelian, MatrixOrbitalGX series displays
  + new plugins: netinfo, netdev, w1retap?, hddtemp, strftime_tz,
    FIFO, asterisk, button_exec?, gps
  + initial brightness fixed
  + bugfixes
- enable python
- added %%post and %%preun scripts
- added $remote_fs dependency to init script
- remove upstreamed patches
* Tue Oct  7 2008 bwalle@suse.de
- Replace usb_debug variable reference by usb_set_debug().
* Fri Aug 22 2008 lnussel@suse.de
- remove resmgr from BuildRequires
* Tue Aug 12 2008 bwalle@suse.de
- init script: replace "X-United-Linux-Should-Start" by
  "Should-Start" and "X-United-Linux-Should-Stop" by "Should-Stop"
* Mon Aug  6 2007 olh@suse.de
- remove inclusion of asm/msr.h,
  rdtscl() is not usable outside the kernel
* Mon May 21 2007 lrupp@suse.de
- added workaround for missing config.rpath
- build parallel
- specfile cleanup
- remove obsolete patches
- activate lcd4linux desktop part
* Wed May 16 2007 tsieden@suse.de
- update to release 0.10.1-RC2
  * several updates and bugfixes since last
    cvs version
  * removed obsolete patches
* Mon Apr  2 2007 rguenther@suse.de
- add ncurses-devel BuildRequires
* Tue Mar  6 2007 ckornacker@suse.de
- fix build again
* Thu Aug 17 2006 ro@suse.de
- fix build
* Thu Jun 22 2006 ro@suse.de
- remove selfprovides
* Mon May 15 2006 tsieden@suse.de
- updated to most recent cvs version
  - several minor bugfixes (drv_LCD2USB.c,drv_LUIse.c)
* Thu Apr 13 2006 tsieden@suse.de
- updated to most recent cvs version
* Mon Mar  6 2006 tsieden@suse.de
- added serdisplib-devel to BuildRequires in order to enable
  support for LCDs driven by the serdisplib library
* Tue Feb 28 2006 tsieden@suse.de
- updated to most recent cvs version (now with lcd2usb support)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan  9 2006 tsieden@suse.de
- added -fno-strict-aliasing
* Mon Jan  9 2006 tsieden@suse.de
- updated to most recent cvs version
* Fri Aug 12 2005 tsieden@suse.de
- fixed "Should-Start/Stop" dependency in runlevel init script
* Wed Jul 20 2005 tsieden@suse.de
- moved i2c_msg section in lcd4linux_i2c.h to an upper position
  to make the gcc 4 happy.
* Tue Jul 19 2005 tsieden@suse.de
- updated to release 0.10.0
* Wed Feb  9 2005 tsieden@suse.de
- updated to release 0.9.99.1 (0.10.0-RC1)
* Mon Oct 27 2003 tsieden@suse.de
- added init script dependencies
* Fri Oct 17 2003 tsieden@suse.de
- added configuration examples and hints to /etc/lcd4linux.conf
- added README.Tokens and README.Rows to package
* Thu Oct 16 2003 tsieden@suse.de
- added a runlevel init script to package
* Wed Oct  8 2003 tsieden@suse.de
- initial release 0.9.11
